/**
 *
 */
package com.foc.push.entity;

import java.util.Date;

/**
 * 
 * @team IT Team
 * @author renmb
 * @version 1.0
 * @time  2016年12月10日
 */
public class UserNotifyEntity {

    private String id="";
    private String type="";
    private String title="";
    private String content="";
    private String extras="";
    private String userId="";
    private String itemId="";
    private Date createDate;
    private String sendStatus="FAIL";// FAIL OK
    private String sendType="";// BY_TOKEN, BY_ALIAS
    private String clientToken="";
    private String productionMode="FALSE";// TRUE FALSE
    private String appCode="";
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }
    public String getTitle() {
        return title;
    }
    public void setTitle(String title) {
        this.title = title;
    }
    public String getContent() {
        return content;
    }
    public void setContent(String content) {
        this.content = content;
    }
    public String getUserId() {
        return userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getItemId() {
        return itemId;
    }
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }
    public Date getCreateDate() {
        return createDate;
    }
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    public String getSendStatus() {
        return sendStatus;
    }
    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }
    public String getSendType() {
        return sendType;
    }
    public void setSendType(String sendType) {
        this.sendType = sendType;
    }
    public String getClientToken() {
        return clientToken;
    }
    public void setClientToken(String clientToken) {
        this.clientToken = clientToken;
    }
    public String getProductionMode() {
        return productionMode;
    }
    public void setProductionMode(String productionMode) {
        this.productionMode = productionMode;
    }
    public String getAppCode() {
        return appCode;
    }
    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }
    public String getExtras() {
        return extras;
    }
    public void setExtras(String extras) {
        this.extras = extras;
    }
}
